Subject: Finding A Good HRT Provider | Part 2
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 4 Feb 2026 23:17:48 +0000

On Monday, I discussed why it’s so hard to find a good HRT provider, and we examined the problems of a crowded and confusing market that is full of quacks.

Today, we're examining the final challenge for those choosing from endless options and avoiding the roughly 80% of the market that does things wrong.

First, let’s examine _provider-patient compatibility._

**It’s not quite marriage, but it’s pretty close!**

Imagine if people selected their spouses solely because they were the right gender.

That would be crazy right?

Well, it’s almost just crazy that many people sign up with an HRT provider based purely on that provider being able to prescribe them the compounds they want. 

When it comes to picking the right HRT provider, a provider’s compatibility with you is both **complex** and **consequential**.

Even if they do things the right way, you aren’t going to be happy with the HRT provider you work with if you aren’t compatible with them.

Let’s take a look at some of the factors that have a massive impact on this compatibility.

———————————————————————————

**Extremely personal conversations**

If your HRT provider is doing things right, they should be checking in with you at least twice per year to see how things are going beyond what your bloodwork shows.

This means having regular conversations about your sex life and libido, energy levels, depression, etc. 

They are going to ask men about things like testicular shrinkage, and women about things like menstrual regularity and nipple tenderness.

It’s safe to say you are going to be much happier if, at a personality level, you naturally like and trust the person you are having these conversations with on a regular basis. 

———————————————————————————

**Does their expertise match your goal set?**

Some providers are experts in weight loss. Some in muscle building. Some in men’s hormonal health and others in women’s hormonal health.

Some are experts in athletic performance.

Some are experts in longevity.

Some are experts in improving executive performance for high-level business people.

Some are experts in helping parents be the best parents they can be.

Some providers are focused on functional health, some on sexual health, some on body building, etc, etc.

No matter what your list of health goals is, there are absolutely providers who are far more experienced than others in helping people just like you accomplish goals just like yours.

It’s critical for long-term outcomes that you work with a provider who matches your goals.

———————————————————————————

**Values and beliefs**

Let’s face it. Health and wellness is a politically charged minefield of taboo topics.

Having compatible values with your provider is a huge part of overall compatibility.

For example, imagine a patient who is very skeptical of vaccines and a provider who believes everyone should get every vaccine. 

Even though vaccines are not part of HRT protocols, those two people live in totally different worlds with how they think about healthcare, and they probably are going to hate working together.

———————————————————————————

**Care Preferences**

This factor is obvious but often overlooked.

Do you want to talk to your provider in person or over the phone/video call?

Do you want your hand held and to be talking to your provider frequently, or are you more of a self-directed individual who just wants a physician there when you need one?

Are you looking for an HRT provider who can also be your direct primary care physician, or do you want to keep HRT in its own box?

There’s a whole menu of care options in the HRT world, and picking the right one for you matters.

———————————————————————————

**Budget**

Last but certainly not least, your budget and financial position are important.

Some people are on a tight budget, and they need the most cost-effective means to get proper care they can find.

Other people are prepared to spend any amount of money required to secure the highest level of concierge care.

The good news is that there are excellent providers at every price point, but picking a provider that fits your wallet at the start can save you from a lot of grief down the road when the price and expectations just aren’t lining up.

———————————————————————————

**What I’m working on to Help**

In tomorrow’s email I’m going to tell you about an exciting new platform I’ve gotten involved with that vets the provider market for best practices to find “the good guys” and then matches you with the provider who you are most compatible with based on all the factors above and more.

**If this sounds like something that you are interested in,** **I want to personally invite you to be one of the first to benefit.**

Reply to this email, or email me at [[email-masked]](mailto:[email-masked]), with your name and a sentence or two about where you are at in your HRT journey and I’ll explain the details and get you early access.

Best, 

Hunter Williams 

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/finding-a-good-hrt-provider-part-2